SETREGID(2)

NAME
setregid - set real and effective group ID

SYNOPSIS
setregid(rgid, egid)
int rgid, egid;

DESCRIPTION
The real and effective group ID's of the current process are set to the arguments. Unprivileged users may change the real group ID to the effective group ID and vice-versa; only the super-user may make other changes.

Supplying a value of -1 for either the real or effective group ID forces the system to substitute the current ID in place of the -1 parameter.

RETURN VALUE
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS

[EPERM]
    The current process is not the super-user and a change other than changing the effective group-id to the real group-id was specified.

SEE ALSO
getgid(2), setreuid(2), setgid(3)